local f = InfoPanel.AddPlugin();
local sessionStart = GetTime();
local startMoney;

--------------------------------------------------------------------------------------------------------
--                                             Functions                                              --
--------------------------------------------------------------------------------------------------------

-- OnEnter
local function OnEnter(self)
	InfoPanel.MakeTip(f,"Money Info");

	local money = GetMoney();
	GameTooltip:AddDoubleLine("Initial Money",InfoPanel.FormatCopper(startMoney));
	if (money ~= startMoney) then
		local text = (money > startMoney) and "Gained" or "Lost";
		local moneyPerHour = (money - startMoney) / ((GetTime() - sessionStart) / 60 / 60);
		GameTooltip:AddDoubleLine("Money "..text,InfoPanel.FormatCopper(abs(money - startMoney)));
		GameTooltip:AddDoubleLine("Money "..text.." / Hour",InfoPanel.FormatCopper(floor(abs(moneyPerHour))));
	end

	GameTooltip:Show();
end

-- Gather Info
local function OnEvent(self,event)
	InfoPanel.SetText(f,InfoPanel.FormatCopper(GetMoney()));
end

-- Login Only Event
local function Login(self,event)
	f:UnregisterAllEvents();
	f:RegisterEvent("PLAYER_MONEY");
	f:SetScript("OnEvent",OnEvent);
	startMoney = GetMoney();
	OnEvent(self);
	Login = nil;
end


-- OnClick
local function OnClick(self,button)
	if (ChatFrameEditBox:IsShown()) then
		ChatFrameEditBox:Insert(f.text:GetText():gsub("|c%x%x%x%x%x%x%x%x",""):gsub("|r",""));
	elseif (IsShiftKeyDown()) and (button == "RightButton") then
		sessionStart = GetTime();
		startMoney = GetMoney();
		OnEnter(self);
	end
end

--------------------------------------------------------------------------------------------------------
--                                              Finalize                                              --
--------------------------------------------------------------------------------------------------------

f.icon:SetTexture("Interface\\Icons\\INV_Misc_Coin_01");
f:SetScript("OnEnter",OnEnter);
f:SetScript("OnEvent",Login);
f:SetScript("OnClick",OnClick);
f:RegisterEvent("PLAYER_LOGIN");