do
	local class = select(2,UnitClass("player"));
	if (class == "WARRIOR" or class == "HUNTER" or class == "ROGUE" or class == "DEATHKNIGHT") then
		return;
	end
end

local f = InfoPanel.AddPlugin();
local _G = getfenv(0);

--------------------------------------------------------------------------------------------------------
--                                             Functions                                              --
--------------------------------------------------------------------------------------------------------

local function OnEnter(self)
	InfoPanel.MakeTip(f,"Spell Info");

	local base, casting = GetManaRegen();
	GameTooltip:AddDoubleLine("Healing",GetSpellBonusHealing(),nil,nil,nil,1,1,1);
	GameTooltip:AddDoubleLine("Mana Regen Base",format("%.1f",floor(base * 5)),nil,nil,nil,1,1,1);
	GameTooltip:AddDoubleLine("Mana Regen Casting",format("%.1f",floor(casting * 5)),nil,nil,nil,1,1,1);
	GameTooltip:AddDoubleLine("Casting Speed",format("%.2f%%",100 - GetCombatRatingBonus(CR_HASTE_SPELL)),nil,nil,nil,1,1,1);

	local line;
	GameTooltip:AddLine(" ");
	GameTooltip:AddLine("Magic Schools",1,1,1);
	for i = 2, MAX_SPELL_SCHOOLS do
		line = format("%d (%.2f%%)",GetSpellBonusDamage(i),GetSpellCritChance(i));
		GameTooltip:AddDoubleLine(_G["DAMAGE_SCHOOL"..i],line,NORMAL_FONT_COLOR.r,NORMAL_FONT_COLOR.g,NORMAL_FONT_COLOR.b,1,1,1);
		GameTooltip:AddTexture("Interface\\PaperDollInfoFrame\\SpellSchoolIcon"..i);
	end

	GameTooltip:Show();
end

local function OnEvent(self,event,...)
	InfoPanel.SetText(f,format("|cffffffff%.2f%%  |cff80c0ff%.2f%%  |cff52ff52%d",GetCombatRatingBonus(CR_HASTE_SPELL),GetSpellCritChance(2),GetSpellBonusDamage(2)));
end

local function OnClick(self,button)
end

--------------------------------------------------------------------------------------------------------
--                                              Finalize                                              --
--------------------------------------------------------------------------------------------------------

f.icon:SetTexture("Interface\\Icons\\Spell_Holy_HolyBolt");
f:SetScript("OnEnter",OnEnter);
f:SetScript("OnEvent",OnEvent);
f:SetScript("OnClick",OnClick);

f:RegisterEvent("PLAYER_DAMAGE_DONE_MODS");
f:RegisterEvent("PLAYER_LOGIN");